Introducing the Chargebee CLI

List Disputes

Lists the disputes raised against the transactions on your site, with the most recently created dispute first.

Use the filter parameters to narrow the list to the disputes you want to act on. For example, filter on status to work through the disputes that are still open, or on customer_id to review every dispute raised by one customer.

This operation does not support a sort_by parameter. The results are always ordered by created_at in descending order.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/disputes

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Uniquely identifies the dispute. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "dspt_16BdDXSlbu4uV1Ee6"

Supported operators: is, is_not, starts_with, in, not_in
Example → dspt_16BdDXSlbu4uV1Ee6
status[<operator>]

optional, enumerated string filter

The current state of the dispute. Possible values are : initiated, funds_withdrawn, in_review, cancelled, lost, won.

Supported operators : is, is_not, in, not_in

Example → status[is] = "initiated"

Supported operators: is, is_not, in, not_in
Example → initiated
type[<operator>]

optional, enumerated string filter

The nature of the dispute raised against the payment. Possible values are : chargeback, inquiry.

Supported operators : is, is_not, in, not_in

Example → type[is] = "chargeback"

Supported operators: is, is_not, in, not_in
Example → chargeback
customer_id[<operator>]

optional, string filter

Identifier of the customer whose payment was disputed. Supported operators : is, is_not, starts_with, in, not_in

Example → customer_id[is] = "4gmiXbsjdm"

Supported operators: is, is_not, starts_with, in, not_in
Example → 4gmiXbsjdm
transaction_id[<operator>]

optional, string filter

Identifier of the transaction that was disputed. Supported operators : is, is_not, starts_with, in, not_in

Example → transaction_id[is] = "txn_16BdDXSlbu4uV1Ee6"

Supported operators: is, is_not, starts_with, in, not_in
Example → txn_16BdDXSlbu4uV1Ee6
amount[<operator>]

optional, in cents filter

To filter based on the amount under dispute. Supported operators : is, is_not, lt, lte, gt, gte, between

Example → amount[gt] = "1200"

Supported operators: is, is_not, lt, lte, gt, gte, between
Example → 1200
created_at[<operator>]

optional, timestamp(UTC) in seconds filter

To filter based on the time at which the dispute was created. Use this filter when listing disputes for better query performance. Supported operators : after, before, on, between

Example → created_at[after] = "1435054328"

Supported operators: after, before, on, between
Example → 1435054328

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Dispute object

Resource object representing dispute